Skip to main content
GET
List all customers

Authorizations

Authorization
string
header
required

Access token

Query Parameters

page
integer
default:1

Page number, starting at 1. Non-integer values and values below 1 return 400.

Required range: x >= 1
limit
integer
default:25

Results per page. Values outside 1–100 are clamped to that range. Non-integer input returns 400.

Required range: 1 <= x <= 100
filters
string

JSON object

Example:

"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"

sort_by
string

JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}

search keyword

business_name
string

Filter by business name.

business_type
string

Filter by business type.

contact_email
string

Filter by contact email.

contact_phone
string

Filter by contact phone.

created_at
string

Filter by created at.

customer_email
string

Filter by customer email.

customer_group_id
string

Filter by customer group id.

customer_phone
string

Filter by customer phone.

gstin
string

Filter by gstin.

inbound_bank_account_id
integer

Filter by inbound bank account id.

is_email_verified
boolean

Filter by is email verified.

is_phone_verified
boolean

Filter by is phone verified.

is_registered_under_gst
boolean

Filter by is registered under gst.

is_verified
boolean

Filter by is verified.

is_whatsapp_verified
boolean

Filter by is whatsapp verified.

kyc_status
string

Filter by kyc status.

metadata
string

Filter by metadata.

modified_at
string

Filter by modified at.

outbound_bank_account_id
integer

Filter by outbound bank account id.

pan_number
string

Filter by pan number.

primary_address_id
integer

Filter by primary address id.

store_id
string

Filter by store id.

tags
string

Filter by tags.

tax_identification_number
string

Filter by tax identification number.

ulid
string

Filter by one or more customer IDs, separated by commas.

Response

OK

message
string
required
success
boolean
required
content
object
required